# Get applicant

Get data on a created applicant

Endpoint: GET /applicants/{applicant_id}
Version: 1.0
Security: API-Key

## Security:

  - `API-Key` (unknown)
    apiKey in header API-Key

## Path parameters:

  - `applicant_id` (string, required)

## Response 200:

  - `200` (unknown)
    **OK**
The request was successful, and our system returned an expected response.

## Response 200 fields (application/json):

  - `applicant_id` (string)
    A unique identifier of an applicant, that is assigned by our system after an applicant object was created with a “Create an applicant” request
    Example: 27c5caea93ee4656881ef9a30fadd21a3768

  - `external_applicant_id` (string | null)
    A unique identifier of your user in your system
    Example: 8ba166fd-e9ba-49c6-b91a-fdbf0f63f939

  - `type` (string)
    A type of an applicant object. `PERSON` type is used for KYC process, and `COMPANY` type is used for KYB process
    Enum: "PERSON"

  - `created_at` (string)
    A date and time of creation of an object, set by our system
    Example: 2024-07-01 15:27:15

  - `profile_status` (string | null)
    A status of an object profile verification, set by our system or our manager
    Enum: "valid", "invalid"

  - `profile_comment` (string | null)
    A custom comment left by our manager for an object
    Example: Suspicious activity

  - `first_name` (string | null)
    The first name of a person
    Example: Josh

  - `origin_first_name` (string | null)
    A first name of an object, set in a native language
    Example: Джош

  - `middle_name` (string | null)
    The middle name of a person
    Example: David

  - `origin_middle_name` (string | null)
    A middle name of an object, set in a native language
    Example: Conrad

  - `last_name` (string | null)
    The last name of a person
    Example: Coffey

  - `origin_last_name` (string | null)
    A last name of an entity, set in a native language
    Example: Кофі

  - `residence_country` (string | null)
    A residence country of an object. A two-letter country code according to ISO 3166-2
    Example: GB

  - `nationality` (string | null)
    A nationality country of a person. A two-letter country code according to ISO 3166-2
    Example: GB

  - `dob` (string | null)
    The date of birth of a person, formatted as “YYYY-MM-DD” according to ISO 8601
    Example: 1976-02-21

  - `gender` (string | null)
    The gender of a person. `M` indicates male; `F` indicates female
    Enum: "M", "F"

  - `email` (string | null)
    The email address of a person or a company
    Example: josh.coffey@example.com

  - `phone` (string | null)
    The phone number of a person or a company
    Example: 441172345678

  - `phone_status` (string | null)
    A status of an object phone verification, set by our system or our manager
    Enum: "valid", "invalid"

  - `wallet_address` (string | null)
    A cryptocurrency wallet address of an object
    Example: GQzMeEMwAR44ugoNCifTb5NdRKos0GduDUPeNh6AgV46

  - `telegram_username` (string | null)
    A username of an object in Telegram instant messaging service
    Example: JoshCoffey

  - `pep` (boolean | null)
    The status of a person as a politically exposed person (PEP)
    Enum: true, false

  - `custom_field_1` (string | null)
    A custom parameter to store additional data for an object by your managers
    Example: This applicant was marked as suspicious by Mark L. at 11:40

  - `decline_reasons` (any)

  - `addresses` (any)

  - `documents` (any)

  - `questionnaires` (any)

  - `verification_status` (any)

  - `verifications_count` (any)

  - `decline_reasons` (array)
    A reason for verification decline for an entity, set by our system
    Example: ["NO_SELFIE","WRONG_NAME"]

## Response 400:

  - `400` (unknown)
    **Bad Request**
Our system could not process the request due to invalid syntax, missing parameters, or incorrect data format. Check the request structure and try again.

## Response 400 fields (application/json):

  - `type` (string)
    Example: bad_request

  - `errors` (array)

## Response 402:

  - `402` (unknown)
    **Payment Required**
Access to the requested resource is restricted until a payment is successfully processed. Ensure your account has a valid payment method or sufficient funds to complete this action.

## Response 402 fields (application/json):

  - `type` (string)
    Example: insufficient_funds

  - `errors` (array)

## Response 404:

  - `404` (unknown)
    **Not Found**
The requested resource does not exist or can’t be found in our system.

## Response 404 fields (application/json):

  - `type` (string)
    Example: not_found

  - `errors` (array)

  - `errors.parameter` (string)
    Example: applicant_id

  - `errors.message` (string)
    Example: Applicant was not found

## Response 429:

  - `429` (unknown)
    **Too Many Requests**
This response indicates that a user has sent too many requests in a given amount of time.

## Response 429 fields (application/json):

  - `type` (string)
    Example: flow

  - `errors` (array)

  - `errors.parameter` (string)
    Example: limit_exceeded

  - `errors.message` (string)
    Example: Rate limit exceeded

## Response 500:

  - `500` (unknown)
    **Internal Server Error**
This response indicates that our system encountered an unexpected condition that prevented it from fulfilling the request.

## Response 500 fields (application/json):

  - `type` (string)
    Example: internal_server

  - `errors` (array)

## Response 502:

  - `502` (unknown)
    **Bad Gateway**
This response indicates that our system is unable to reach or communicate properly with an upstream server it relies on, the URL provided is incorrect, or a required token is missing from the request.

